| Home | Libraries | People | FAQ | More

##### any_connection::format_opts

Returns format options suitable to format SQL according to the current connection configuation.

###### Synopsis

    system::result< format_options >
    format_opts() const;

###### Description

If the current character set is known (as given by `current_character_set`), returns a value suitable to be passed to SQL formatting functions. Otherwise, returns an error.

###### Errors

- `client_errc::unknown_character_set` if the current character set is unknown.

###### Exception safety

No-throw guarantee.